Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
API Reference
Generate a compliance report package.
cURL
curl --request POST \ --url https://api.example.com/v1/compliance/report \ --header 'Content-Type: application/json' \ --data ' { "projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "reportIds": [ "3c90c3cc-0d44-4b50-8888-8dd25736052a" ], "format": "pdf", "standard": "<string>" } '
import requestsurl = "https://api.example.com/v1/compliance/report"payload = { "projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "reportIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"], "format": "pdf", "standard": "<string>"}headers = {"Content-Type": "application/json"}response = requests.post(url, json=payload, headers=headers)print(response.text)
const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: JSON.stringify({ projectId: '3c90c3cc-0d44-4b50-8888-8dd25736052a', reportIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'], format: 'pdf', standard: '<string>' })};fetch('https://api.example.com/v1/compliance/report', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
{ "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "organization_id": "<string>", "report_ids": [ "3c90c3cc-0d44-4b50-8888-8dd25736052a" ], "format": "<string>", "status": "<string>", "created_at": "2023-11-07T05:31:56Z", "standard": "<string>", "artifacts_path": "<string>", "download_url": "<string>", "error": "<string>", "completed_at": "2023-11-07T05:31:56Z" }
{ "detail": [ { "loc": [ "<string>" ], "msg": "<string>", "type": "<string>", "input": "<unknown>", "ctx": {} } ]}
Successful Response